{% extends 'tour/base.html' %}
{% load static %}

    {% block head %}
        		<style type="text/css" title="Default">
			/* fullscreen */
			html {
				height:100%;
			}
			body {
				height:100%;
				margin: 0px;
				overflow:hidden; /* disable scrollbars */
				-webkit-tap-highlight-color: rgba(0, 0, 0, 0); /* remove highlight on tab for iOS/Android */
			}
			/* fix for scroll bars on webkit & >=Mac OS X Lion */
			::-webkit-scrollbar {
				background-color: rgba(0,0,0,0.5);
				width: 0.75em;
			}
			::-webkit-scrollbar-thumb {
    			background-color:  rgba(255,255,255,0.5);
			}
		</style>
    {% endblock %}

{% block body %}
<!-- - - - - - - 8<- - - - - - cut here - - - - - 8<- - - - - - - -->
		<script type="text/javascript" src="{% static 'pano2vr_player.js' %}">
		</script>
		<script type="text/javascript" src="{% static 'skin.js' %}">
		</script>
		<script src="{% static 'webxr/three.min.js' %}"></script>
		<script src="{% static 'webxr/webxr-polyfill.min.js' %}"></script>
		<div id="container" style="width:100%;height:100%;overflow:hidden;">
		<br>Loading...<br><br>
		</div>
		<script type="text/javascript">

			// create the panorama player with the container
			pano=new pano2vrPlayer("container");
			// add the skin object
			skin=new pano2vrSkin(pano);
			// load the configuration
            pano.readConfigUrl("{% static 'pano.xml' %}")
			// window.addEventListener("load", function() {
			// 	pano.readConfigUrlAsync("{% static 'pano.xml' %}");
			// });
            pano.openNext("{{ node }}", "")
		</script>
		<noscript>
			<p><b>Please enable Javascript!</b></p>
		</noscript>
<!-- - - - - - - 8<- - - - - - cut here - - - - - 8<- - - - - - - -->
		<!-- Hack needed to hide the url bar on iOS 9, iPhone 5s -->
		<div style="width:1px;height:1px;"></div>
 {% endblock %}